# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::Undefined Class Reference

Represents an primitive Undefined value. More...

`#include <value.h>`

Inheritance diagram for KJS::Undefined:

[legend]
Collaboration diagram for KJS::Undefined:

[legend]
List of all members.

## Static Public Member Functions

static Undefined | dynamicCast (const Value &v)

## Friends

class | UndefinedImp

## Detailed Description

Represents an primitive Undefined value.

All instances of this class share the same implementation object, so == will always return true for any comparison between two Undefined objects.

Definition at line 271 of file value.h.

## Member Function Documentation

Undefined Undefined::dynamicCast | ( | const Value & | v | ) | `[static]`

Converts a Value into an Undefined.

If the value's type is not UndefinedType, a null object will be returned (i.e. one with it's internal pointer set to 0). If you do not know for sure whether the value is of type UndefinedType, you should check the isValid() methods afterwards before calling any methods on the returned value.

Returns:
  The value converted to an Undefined

Definition at line 288 of file value.cpp.

The documentation for this class was generated from the following files:

- value.h
- internal.h
- value.cpp

This file is part of the documentation for kjs Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:23:19 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003